<?xml version="1.0" encoding="UTF-8"?>
<HADJPOSITION desc_thai="ทะเบียนประวัติการปรับตำแหน่ง" desc_eng="Adding Adjusted Position History" editcheck="true" mainhelp="HADJPOSITIONHELP" referhelp="HADJPOSITIONHELP" mainkey="EMPLOYEEID" fieldsystem="*" protype="table" deleteflag="true" dependlevel="false" config_field="">
	<FIELD>
		<EMPLOYEEID lang="A" encrypt="false" verify="false" log="false" type="String">
			<KEY>1</KEY>
			<WIDTH>15</WIDTH>
			<GROUP>import</GROUP>
			<REFER_DATA>TADJPOSITION.EMPLOYEEID</REFER_DATA>
			<RELATION>MEMPLOYEE</RELATION>
			<DESC_ENG>Employee ID</DESC_ENG>
			<DESC_THAI>รหัสพนักงาน</DESC_THAI>
			<REQUIRE>TRUE</REQUIRE>
			<COMPONENT type="Text">
				<SIZE>15</SIZE>
				<MAXSIZE>15</MAXSIZE>
				<ALT_ENG>Employee ID</ALT_ENG>
				<ALT_THAI>รหัสพนักงาน</ALT_THAI>
			</COMPONENT>
		</EMPLOYEEID>
		<COMPANYID lang="A" encrypt="false" verify="false" log="false" type="String">
			<KEY>2</KEY>
			<WIDTH>5</WIDTH>
			<REFER_DATA>TADJPOSITION.COMPANYID</REFER_DATA>
			<RELATION>MCOMPANY</RELATION>
			<DESC_ENG>Company ID</DESC_ENG>
			<DESC_THAI>รหัสบริษัท</DESC_THAI>
			<REQUIRE>TRUE</REQUIRE>
			<COMPONENT type="Text">
				<SIZE>5</SIZE>
				<MAXSIZE>5</MAXSIZE>
				<ALT_ENG>Company ID</ALT_ENG>
				<ALT_THAI>รหัสบริษัท</ALT_THAI>
			</COMPONENT>
		</COMPANYID>
		<LINE_NO lang="A" encrypt="false" verify="false" log="false" type="Integer">
			<!--
KEY>3</KEY
			-->
			<WIDTH>3</WIDTH>
			<DESC_ENG>Line no</DESC_ENG>
			<DESC_THAI>ลำดับที่</DESC_THAI>
			<REQUIRE>TRUE</REQUIRE>
			<COMPONENT type="text">
				<MAXSIZE>3</MAXSIZE>
				<SIZE>3</SIZE>
				<ALT_THAI>ลำดับที่</ALT_THAI>
				<ALT_ENG>Line no</ALT_ENG>
			</COMPONENT>
		</LINE_NO>
		<TRANFER_COMPANY_CONFIG lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>3</WIDTH>
			<REFER_DATA>TADJPOSITION.TRANFER_COMPANY_CONFIG</REFER_DATA>
			<DESC_ENG>Set Old-New Employee ID</DESC_ENG>
			<DESC_THAI>กำหนดรหัสพนักงานเก่า-ใหม่</DESC_THAI>
			<COMPONENT type="Radio">
				<SIZE>3</SIZE>
				<ALT_ENG>Set Old-New Employee ID</ALT_ENG>
				<ALT_THAI>กำหนดรหัสพนักงานเก่า-ใหม่</ALT_THAI>
				<VALIDCODE>TRANFER_COMPANY_CONFIG</VALIDCODE>
			</COMPONENT>
		</TRANFER_COMPANY_CONFIG>
		<EMPLOYEEORIGINALID lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>15</WIDTH>
			<REFER_DATA>TADJPOSITION.EMPLOYEEORIGINALID</REFER_DATA>
			<DESC_ENG>Employee Original ID</DESC_ENG>
			<DESC_THAI>รหัสพนักงานบริษัทเดิม</DESC_THAI>
			<COMPONENT type="Text">
				<SIZE>15</SIZE>
				<MAXSIZE>15</MAXSIZE>
				<ALT_ENG>Employee Original ID</ALT_ENG>
				<ALT_THAI>รหัสพนักงานบริษัทเดิม</ALT_THAI>
			</COMPONENT>
		</EMPLOYEEORIGINALID>
		<NEWEMPLOYEEID lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>15</WIDTH>
			<REFER_DATA>TADJPOSITION.NEWEMPLOYEEID</REFER_DATA>
			<DESC_ENG>New Employee ID</DESC_ENG>
			<DESC_THAI>รหัสพนักงานใหม่</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>15</MAXSIZE>
				<SIZE>15</SIZE>
				<ALT_ENG>New Employee ID</ALT_ENG>
				<ALT_THAI>รหัสพนักงานใหม่</ALT_THAI>
			</COMPONENT>
		</NEWEMPLOYEEID>
		<SIGNBY lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>15</WIDTH>
			<RELATION>V1MEMPLOYEE</RELATION>
			<REFER_DATA>TADJPOSITION.SIGNBY</REFER_DATA>
			<DESC_ENG>Signed By</DESC_ENG>
			<DESC_THAI>ผู้ลงนาม</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>15</MAXSIZE>
				<SIZE>15</SIZE>
				<ALT_THAI>ผู้ลงนาม</ALT_THAI>
				<ALT_ENG>Signed By</ALT_ENG>
			</COMPONENT>
		</SIGNBY>
		<DOC_NO lang="A" encrypt="false" log="false" type="AutoNumber" table="HADJPOSITION" format="YYYY-0000000" init="0000001">
			<REFER_DATA>TADJPOSITION.DOC_NO</REFER_DATA>
			<WIDTH>25</WIDTH>
			<DESC_ENG>Document Number</DESC_ENG>
			<DESC_THAI>เลขที่คำสั่ง</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>25</MAXSIZE>
				<SIZE>25</SIZE>
				<ALT_ENG>Document Number</ALT_ENG>
				<ALT_THAI>เลขที่คำสั่ง</ALT_THAI>
			</COMPONENT>
		</DOC_NO>
		<ADJ_REASON lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>5</WIDTH>
			<RELATION>MADJREASON</RELATION>
			<REFER_DATA>TADJPOSITION.ADJ_REASON</REFER_DATA>
			<DESC_ENG>Movement reason</DESC_ENG>
			<DESC_THAI>เหตุผลการเคลื่อนไหว</DESC_THAI>
			<REQUIRE>TRUE</REQUIRE>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>15</SIZE>
				<ALT_THAI>เหตุผลการเคลื่อนไหว</ALT_THAI>
				<ALT_ENG>Movement reason</ALT_ENG>
			</COMPONENT>
		</ADJ_REASON>
		<ADJ_TYPE lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>2</WIDTH>
			<REFER_DATA>TADJPOSITION.ADJ_TYPE</REFER_DATA>
			<DESC_ENG>Movement Type</DESC_ENG>
			<DESC_THAI>ประเภทการเคลื่อนไหว</DESC_THAI>
			<REQUIRE>TRUE</REQUIRE>
			<COMPONENT type="list">
				<MAXSIZE>2</MAXSIZE>
				<SIZE>2</SIZE>
				<ALT_THAI>ประเภทการเคลื่อนไหว</ALT_THAI>
				<ALT_ENG>Movement Type</ALT_ENG>
				<DEFAULTVALUE>25</DEFAULTVALUE>
				<VALIDCODE>ADJ_TYPE</VALIDCODE>
				<BLANKOPTION>true</BLANKOPTION>
			</COMPONENT>
		</ADJ_TYPE>
		<RESIGNREASON lang="A" encrypt="false" log="false" type="String">
			<WIDTH>5</WIDTH>
			<REFER_DATA>TADJPOSITION.RESIGNREASON</REFER_DATA>
			<RELATION>MRESIGNREASON</RELATION>
			<DESC_ENG>Resign Reason</DESC_ENG>
			<DESC_THAI>เหตุผลการลาออก</DESC_THAI>
			<COMPONENT type="text">
				<SIZE>5</SIZE>
				<MAXSIZE>5</MAXSIZE>
				<ALT_ENG>Resign Reason</ALT_ENG>
				<ALT_THAI>เหตุผลการลาออก</ALT_THAI>
			</COMPONENT>
		</RESIGNREASON>
		<REQUESTID lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>20</WIDTH>
			<REFER_DATA>TADJPOSITION.REQUESTID</REFER_DATA>
			<DESC_ENG>Request ID</DESC_ENG>
			<DESC_THAI>เลขที่เอกสาร</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>20</MAXSIZE>
				<SIZE>20</SIZE>
				<ALT_THAI>เลขที่เอกสาร</ALT_THAI>
				<ALT_ENG>Request ID</ALT_ENG>
			</COMPONENT>
		</REQUESTID>
		<ADJ_DATE lang="A" encrypt="false" verify="false" log="false" type="Date">
			<WIDTH>8</WIDTH>
			<REFER_DATA>TADJPOSITION.ADJ_DATE</REFER_DATA>
			<DESC_ENG>Issued date</DESC_ENG>
			<DESC_THAI>วันที่ปรับตำแหน่ง</DESC_THAI>
			<REQUIRE>TRUE</REQUIRE>
			<COMPONENT type="calendar">
				<MAXSIZE>15</MAXSIZE>
				<SIZE>15</SIZE>
				<ALT_THAI>วันที่ปรับตำแหน่ง</ALT_THAI>
				<ALT_ENG>Issued date</ALT_ENG>
			</COMPONENT>
		</ADJ_DATE>
		<EFF_DATE lang="A" encrypt="false" verify="false" log="false" type="Date">
			<KEY>3</KEY>
			<REFER_DATA>TADJPOSITION.EFF_DATE</REFER_DATA>
			<WIDTH>8</WIDTH>
			<DESC_ENG>Effective Date</DESC_ENG>
			<DESC_THAI>วันที่เริ่มใช้</DESC_THAI>
			<REQUIRE>TRUE</REQUIRE>
			<COMPONENT type="calendar">
				<MAXSIZE>15</MAXSIZE>
				<SIZE>15</SIZE>
				<ALT_THAI>วันที่เริ่มใช้</ALT_THAI>
				<ALT_ENG>Effective Date</ALT_ENG>
			</COMPONENT>
		</EFF_DATE>
		<MODIFY_FIELD lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>250</WIDTH>
			<REFER_DATA>TADJPOSITION.MODIFY_FIELD</REFER_DATA>
			<DESC_ENG>Modify Field</DESC_ENG>
			<DESC_THAI>ฟิดล์ที่แก้ไข</DESC_THAI>
			<COMPONENT type="hidden">
				<MAXSIZE>70</MAXSIZE>
				<SIZE>70</SIZE>
				<ALT_ENG>Modify Field</ALT_ENG>
				<ALT_THAI>ฟิดล์ที่แก้ไข</ALT_THAI>
			</COMPONENT>
		</MODIFY_FIELD>
		<REMARKS lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>250</WIDTH>
			<REFER_DATA>TADJPOSITION.REMARKS</REFER_DATA>
			<DESC_ENG>Remark</DESC_ENG>
			<DESC_THAI>หมายเหตุ</DESC_THAI>
			<COMPONENT type="textarea">
				<SIZECHAR>50</SIZECHAR>
				<LINES>4</LINES>
				<ALT_ENG>Remark</ALT_ENG>
				<ALT_THAI>หมายเหตุ</ALT_THAI>
			</COMPONENT>
		</REMARKS>
		<!-- ======================================== NEW DATA ====================================== -->
		<STATUS lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>1</WIDTH>
			<REFER_DATA>TADJPOSITION.STATUS</REFER_DATA>
			<DESC_ENG>Employee Status</DESC_ENG>
			<DESC_THAI>สถานะพนักงาน</DESC_THAI>
			<COMPONENT type="list">
				<SIZE>1</SIZE>
				<MAXSIZE>1</MAXSIZE>
				<DEFAULTVALUE>A</DEFAULTVALUE>
				<ALT_ENG>Employee Status</ALT_ENG>
				<ALT_THAI>สถานะพนักงาน</ALT_THAI>
				<VALIDCODE>EMPLOYEE_STATUS</VALIDCODE>
			</COMPONENT>
		</STATUS>
		<EMP_TYPE lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>1</WIDTH>
			<REFER_DATA>TADJPOSITION.EMP_TYPE</REFER_DATA>
			<DESC_ENG>Employee Type</DESC_ENG>
			<DESC_THAI>ประเภทพนักงาน</DESC_THAI>
			<COMPONENT type="list">
				<DEFAULTVALUE>1</DEFAULTVALUE>
				<MAXSIZE>1</MAXSIZE>
				<SIZE>1</SIZE>
				<ALT_ENG>Employee Type</ALT_ENG>
				<ALT_THAI>ประเภทพนักงาน</ALT_THAI>
				<VALIDCODE>EMPTYPE</VALIDCODE>
				<ONCHANGE>chkEmptype();</ONCHANGE>
			</COMPONENT>
		</EMP_TYPE>
		<BRANCH lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>15</WIDTH>
			<RELATION>MBRANCH</RELATION>
			<REFER_DATA>TADJPOSITION.BRANCH</REFER_DATA>
			<DESC_ENG>Company</DESC_ENG>
			<DESC_THAI>บริษัท</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_ENG>Company</ALT_ENG>
				<ALT_THAI>บริษัท</ALT_THAI>
			</COMPONENT>
		</BRANCH>
		<BRANCH_NO lang="A" encrypt="false" log="false" type="String">
			<RELATION>MBRANCH_SOC_TAX</RELATION>
			<REFER_DATA>TADJPOSITION.BRANCH_NO</REFER_DATA>
			<WIDTH>15</WIDTH>
			<DESC_ENG>Branch Social No</DESC_ENG>
			<DESC_THAI>สาขาเอกสารราชการ</DESC_THAI>
			<REQUIRE>true</REQUIRE>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_ENG>Branch Social No</ALT_ENG>
				<ALT_THAI>สาขาเอกสารราชการ</ALT_THAI>
			</COMPONENT>
		</BRANCH_NO>
		<BRANCH_TITLEID lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>15</WIDTH>
			<RELATION>MBRANCH_TITLE</RELATION>
			<REFER_DATA>TADJPOSITION.BRANCH_TITLEID</REFER_DATA>
			<DESC_ENG>Branch Title</DESC_ENG>
			<DESC_THAI>ระดับตำแหน่งสาขา</DESC_THAI>
			<COMPONENT type="text">
				<SIZE>5</SIZE>
				<MAXSIZE>15</MAXSIZE>
				<ALT_ENG>Branch Title</ALT_ENG>
				<ALT_THAI>ระดับตำแหน่งสาขา</ALT_THAI>
			</COMPONENT>
		</BRANCH_TITLEID>
		<JOB lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>15</WIDTH>
			<RELATION>MJOBCODE</RELATION>
			<REFER_DATA>TADJPOSITION.JOB</REFER_DATA>
			<DESC_ENG>Job Title</DESC_ENG>
			<DESC_THAI>รายละเอียดงาน</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>15</MAXSIZE>
				<SIZE>15</SIZE>
				<ALT_ENG>Job Title</ALT_ENG>
				<ALT_THAI>รายละเอียดงาน</ALT_THAI>
			</COMPONENT>
		</JOB>
		<EMP_POSITION lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>15</WIDTH>
			<RELATION>MPOSITION</RELATION>
			<REFER_DATA>TADJPOSITION.EMP_POSITION</REFER_DATA>
			<DESC_ENG>Position</DESC_ENG>
			<DESC_THAI>ตำแหน่ง</DESC_THAI>
			<REQUIRE>TRUE</REQUIRE>
			<COMPONENT type="text">
				<MAXSIZE>15</MAXSIZE>
				<SIZE>15</SIZE>
				<ALT_ENG>Position</ALT_ENG>
				<ALT_THAI>ตำแหน่ง</ALT_THAI>
			</COMPONENT>
		</EMP_POSITION>
		<BU1 lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>15</WIDTH>
			<RELATION>MBU1</RELATION>
			<REFER_DATA>TADJPOSITION.BU1</REFER_DATA>
			<DESC_ENG>Business Unit 1</DESC_ENG>
			<DESC_THAI>หน่วยงานที่ 1</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>15</MAXSIZE>
				<SIZE>15</SIZE>
				<ALT_THAI>หน่วยงานที่ 1</ALT_THAI>
				<ALT_ENG>Business Unit 1</ALT_ENG>
				<SWAPLANG>BU1</SWAPLANG>
			</COMPONENT>
		</BU1>
		<BU2 lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>15</WIDTH>
			<RELATION>MBU2</RELATION>
			<REFER_DATA>TADJPOSITION.BU2</REFER_DATA>
			<DESC_ENG>Business Unit 2</DESC_ENG>
			<DESC_THAI>หน่วยงานที่ 2</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>15</MAXSIZE>
				<SIZE>15</SIZE>
				<ALT_THAI>หน่วยงานที่ 2</ALT_THAI>
				<ALT_ENG>Business Unit 2</ALT_ENG>
				<SWAPLANG>BU2</SWAPLANG>
			</COMPONENT>
		</BU2>
		<BU3 lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>15</WIDTH>
			<RELATION>MBU3</RELATION>
			<REFER_DATA>TADJPOSITION.BU3</REFER_DATA>
			<DESC_ENG>Business Unit 3</DESC_ENG>
			<DESC_THAI>หน่วยงานที่ 3</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>15</MAXSIZE>
				<SIZE>15</SIZE>
				<ALT_THAI>หน่วยงานที่ 3</ALT_THAI>
				<ALT_ENG>Business Unit 3</ALT_ENG>
				<SWAPLANG>BU3</SWAPLANG>
			</COMPONENT>
		</BU3>
		<BU4 lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>15</WIDTH>
			<RELATION>MBU4</RELATION>
			<REFER_DATA>TADJPOSITION.BU4</REFER_DATA>
			<DESC_ENG>Business Unit 4</DESC_ENG>
			<DESC_THAI>หน่วยงานที่ 4</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>15</MAXSIZE>
				<SIZE>15</SIZE>
				<ALT_THAI>หน่วยงานที่ 4</ALT_THAI>
				<ALT_ENG>Business Unit 4</ALT_ENG>
				<SWAPLANG>BU4</SWAPLANG>
			</COMPONENT>
		</BU4>
		<BU5 lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>15</WIDTH>
			<RELATION>MBU5</RELATION>
			<REFER_DATA>TADJPOSITION.BU5</REFER_DATA>
			<DESC_ENG>Business Unit 5</DESC_ENG>
			<DESC_THAI>หน่วยงานที่ 5</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>15</MAXSIZE>
				<SIZE>15</SIZE>
				<ALT_THAI>หน่วยงานที่ 5</ALT_THAI>
				<ALT_ENG>Business Unit 5</ALT_ENG>
				<SWAPLANG>BU5</SWAPLANG>
			</COMPONENT>
		</BU5>
		<CORPERATE_TITLE lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>15</WIDTH>
			<RELATION>MCORPERATE_TITLE</RELATION>
			<REFER_DATA>TADJPOSITION.CORPERATE_TITLE</REFER_DATA>
			<DESC_ENG>Corporate Title</DESC_ENG>
			<DESC_THAI>ตำแหน่งพิเศษ</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>15</MAXSIZE>
				<SIZE>15</SIZE>
				<ALT_ENG>Corporate Title</ALT_ENG>
				<ALT_THAI>ตำแหน่งพิเศษ</ALT_THAI>
			</COMPONENT>
		</CORPERATE_TITLE>
		<EMP_GROUP lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>15</WIDTH>
			<RELATION>MGROUP</RELATION>
			<REFER_DATA>TADJPOSITION.EMP_GROUP</REFER_DATA>
			<DESC_ENG>Employee Group</DESC_ENG>
			<DESC_THAI>กลุ่มพนักงาน</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>15</MAXSIZE>
				<SIZE>15</SIZE>
				<ALT_ENG>Employee Group</ALT_ENG>
				<ALT_THAI>กลุ่มพนักงาน</ALT_THAI>
			</COMPONENT>
		</EMP_GROUP>
		<COSTCENTER lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>15</WIDTH>
			<RELATION>MCOSTCENTER0</RELATION>
			<REFER_DATA>TADJPOSITION.COSTCENTER</REFER_DATA>
			<DESC_ENG>Cost Center</DESC_ENG>
			<DESC_THAI>Cost Center</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>15</MAXSIZE>
				<SIZE>15</SIZE>
				<ALT_ENG>Cost Center</ALT_ENG>
				<ALT_THAI>Cost Center</ALT_THAI>
			</COMPONENT>
		</COSTCENTER>
		<WORKAREA lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>15</WIDTH>
			<RELATION>MWORKAREA</RELATION>
			<REFER_DATA>TADJPOSITION.WORKAREA</REFER_DATA>
			<DESC_ENG>Working Area</DESC_ENG>
			<DESC_THAI>สถานที่ทำงาน</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>15</MAXSIZE>
				<SIZE>15</SIZE>
				<ALT_ENG>Working Area</ALT_ENG>
				<ALT_THAI>สถานที่ทำงาน</ALT_THAI>
			</COMPONENT>
		</WORKAREA>
		<TIME0 lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>15</WIDTH>
			<RELATION>MTIME0</RELATION>
			<REFER_DATA>TADJPOSITION.TIME0</REFER_DATA>
			<DESC_ENG>Time Work</DESC_ENG>
			<DESC_THAI>รหัสกะ</DESC_THAI>
			<REQUIRE>TRUE</REQUIRE>
			<COMPONENT type="text">
				<MAXSIZE>15</MAXSIZE>
				<SIZE>15</SIZE>
				<ALT_ENG>Time Work</ALT_ENG>
				<ALT_THAI>รหัสกะ</ALT_THAI>
			</COMPONENT>
		</TIME0>
		<SALATYPE lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>5</WIDTH>
			<RELATION>MSALATYPE0</RELATION>
			<REFER_DATA>TADJPOSITION.SALATYPE</REFER_DATA>
			<DESC_ENG>Salary Type</DESC_ENG>
			<DESC_THAI>กลุ่มการจ่ายเงินเดือน</DESC_THAI>
			<COMPONENT type="Text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>15</SIZE>
				<ALT_ENG>Salary Type</ALT_ENG>
				<ALT_THAI>กลุ่มการจ่ายเงินเดือน</ALT_THAI>
			</COMPONENT>
			<GROUP>testprocess,import</GROUP>
		</SALATYPE>
		<SALARY lang="A" encrypt="true" verify="false" log="false" type="Double">
			<WIDTH>25</WIDTH>
			<REFER_DATA>TADJPOSITION.SALARY</REFER_DATA>
			<DESC_ENG>Salary</DESC_ENG>
			<DESC_THAI>เงินเดือน</DESC_THAI>
			<SECURITY>SalaryEmpSecurity</SECURITY>
			<COMPONENT type="text">
				<DEFAULTVALUE>0.00</DEFAULTVALUE>
				<MAXSIZE>25</MAXSIZE>
				<SIZE>15</SIZE>
				<ALT_ENG>Salary</ALT_ENG>
				<ALT_THAI>เงินเดือนปัจจุบัน</ALT_THAI>
				<ONBLUR>checkNumFloat(this,0.0,900000000);</ONBLUR>
				<ONKEYPRESS>checkWordNumber(this.value);</ONKEYPRESS>
				<ONKEYUP>checkComma(this,2);</ONKEYUP>
				<ONFOCUS>callDelComma(this);</ONFOCUS>
			</COMPONENT>
		</SALARY>
		<CURRENCY lang="A" encrypt="false" log="false" type="String">
			<WIDTH>5</WIDTH>
			<RELATION>MCURRENCY</RELATION>
			<DESC_ENG>Currency</DESC_ENG>
			<DESC_THAI>อัตราการแลกเปลี่ยน</DESC_THAI>
			<GROUP>testprocess,import</GROUP>
			<REFER_DATA>TADJPOSITION.CURRENCY</REFER_DATA>
			<REQUIRE>true</REQUIRE>
			<COMPONENT type="list">
				<SIZE>5</SIZE>
				<TABLE>MCURRENCYHELP,CURRENCYID,TDESC,  ,CURRENCYID</TABLE>
				<DEFAULTVALUE>B</DEFAULTVALUE>
				<ALT_ENG>Currency</ALT_ENG>
				<ALT_THAI>อัตราแลกเปลี่ยน</ALT_THAI>
			</COMPONENT>
		</CURRENCY>
		<EMP_EVERY lang="A" encrypt="false" log="false" type="String">
			<WIDTH>1</WIDTH>
			<DESC_ENG>Salary Every</DESC_ENG>
			<DESC_THAI>อัตรารายได้ต่อ</DESC_THAI>
			<GROUP>testprocess,import</GROUP>
			<REFER_DATA>TADJPOSITION.EMP_EVERY</REFER_DATA>
			<REQUIRE>true</REQUIRE>
			<COMPONENT type="list">
				<DEFAULTVALUE>M</DEFAULTVALUE>
				<MAXSIZE>1</MAXSIZE>
				<SIZE>5</SIZE>
				<VALIDCODE>HIRE_TYPE</VALIDCODE>
				<ALT_ENG>Salary Every</ALT_ENG>
				<ALT_THAI>อัตรารายได้ต่อ</ALT_THAI>
			</COMPONENT>
		</EMP_EVERY>
		<!-- ================================ Old Data ============================================== -->
		<OLD_STATUS lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>1</WIDTH>
			<REFER_DATA>TADJPOSITION.OLD_STATUS</REFER_DATA>
			<DESC_ENG>Employee Status</DESC_ENG>
			<DESC_THAI>สถานะพนักงาน</DESC_THAI>
			<COMPONENT type="list">
				<SIZE>1</SIZE>
				<MAXSIZE>1</MAXSIZE>
				<DEFAULTVALUE>A</DEFAULTVALUE>
				<ALT_ENG>Employee Status</ALT_ENG>
				<ALT_THAI>สถานะพนักงาน</ALT_THAI>
				<VALIDCODE>EMPLOYEE_STATUS</VALIDCODE>
				<BLANKOPTION>true</BLANKOPTION>
			</COMPONENT>
		</OLD_STATUS>
		<OLD_EMP_TYPE lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>1</WIDTH>
			<REFER_DATA>TADJPOSITION.OLD_EMP_TYPE</REFER_DATA>
			<DESC_ENG>Employee Type</DESC_ENG>
			<DESC_THAI>ประเภทพนักงาน</DESC_THAI>
			<COMPONENT type="list">
				<SIZE>1</SIZE>
				<MAXSIZE>1</MAXSIZE>
				<DEFAULTVALUE>1</DEFAULTVALUE>
				<ALT_ENG>Employee Type</ALT_ENG>
				<ALT_THAI>ประเภทพนักงาน</ALT_THAI>
				<VALIDCODE>EMPTYPE</VALIDCODE>
				<BLANKOPTION>true</BLANKOPTION>
				<ONCHANGE>chkEmptype();</ONCHANGE>
			</COMPONENT>
		</OLD_EMP_TYPE>
		<OLD_BRANCH lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>15</WIDTH>
			<RELATION>V1MBRANCH</RELATION>
			<REFER_DATA>TADJPOSITION.OLD_BRANCH</REFER_DATA>
			<DESC_ENG>Company Branch</DESC_ENG>
			<DESC_THAI>บริษัท</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_ENG>Company Branch</ALT_ENG>
				<ALT_THAI>บริษัท</ALT_THAI>
			</COMPONENT>
		</OLD_BRANCH>
		<OLD_BRANCH_NO lang="A" encrypt="false" log="false" type="String">
			<RELATION>V1MBRANCH_SOC_TAX</RELATION>
			<REFER_DATA>TADJPOSITION.OLD_BRANCH_NO</REFER_DATA>
			<WIDTH>15</WIDTH>
			<DESC_ENG>Branch Social No</DESC_ENG>
			<DESC_THAI>สาขาเอกสารราชการ</DESC_THAI>
			<REQUIRE>true</REQUIRE>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_ENG>Branch Social No</ALT_ENG>
				<ALT_THAI>สาขาเอกสารราชการ</ALT_THAI>
				<READONLY>TRUE</READONLY>
			</COMPONENT>
		</OLD_BRANCH_NO>
		<OLD_BRANCH_TITLEID lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>15</WIDTH>
			<RELATION>V1MBRANCH_TITLE</RELATION>
			<REFER_DATA>TADJPOSITION.OLD_BRANCH_TITLEID</REFER_DATA>
			<DESC_ENG>Branch Title</DESC_ENG>
			<DESC_THAI>ระดับตำแหน่งสาขา</DESC_THAI>
			<COMPONENT type="text">
				<SIZE>5</SIZE>
				<MAXSIZE>15</MAXSIZE>
				<ALT_ENG>Branch Title</ALT_ENG>
				<ALT_THAI>ระดับตำแหน่งสาขา</ALT_THAI>
			</COMPONENT>
		</OLD_BRANCH_TITLEID>
		<OLD_JOB lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>15</WIDTH>
			<RELATION>V1MJOBCODE</RELATION>
			<REFER_DATA>TADJPOSITION.OLD_JOB</REFER_DATA>
			<DESC_ENG>Job Type</DESC_ENG>
			<DESC_THAI>รายละเอียดงาน</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>15</MAXSIZE>
				<SIZE>15</SIZE>
				<ALT_ENG>Job Type</ALT_ENG>
				<ALT_THAI>รายละเอียดงาน</ALT_THAI>
			</COMPONENT>
		</OLD_JOB>
		<OLD_EMP_POSITION lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>15</WIDTH>
			<RELATION>V1MPOSITION</RELATION>
			<REFER_DATA>TADJPOSITION.OLD_EMP_POSITION</REFER_DATA>
			<DESC_ENG>Position</DESC_ENG>
			<DESC_THAI>ตำแหน่ง</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>15</MAXSIZE>
				<SIZE>15</SIZE>
				<ALT_ENG>Position</ALT_ENG>
				<ALT_THAI>ตำแหน่ง</ALT_THAI>
			</COMPONENT>
		</OLD_EMP_POSITION>
		<OLD_BU1 lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>15</WIDTH>
			<RELATION>V1MBU1</RELATION>
			<REFER_DATA>TADJPOSITION.OLD_BU1</REFER_DATA>
			<DESC_ENG>Business Unit 1</DESC_ENG>
			<DESC_THAI>หน่วยงานที่ 1</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>15</MAXSIZE>
				<SIZE>15</SIZE>
				<ALT_THAI>หน่วยงานที่ 1</ALT_THAI>
				<ALT_ENG>Business Unit 1</ALT_ENG>
				<SWAPLANG>BU1</SWAPLANG>
			</COMPONENT>
		</OLD_BU1>
		<OLD_BU2 lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>15</WIDTH>
			<RELATION>V1MBU2</RELATION>
			<REFER_DATA>TADJPOSITION.OLD_BU2</REFER_DATA>
			<DESC_ENG>Business Unit 2</DESC_ENG>
			<DESC_THAI>หน่วยงานที่ 2</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>15</MAXSIZE>
				<SIZE>15</SIZE>
				<ALT_THAI>หน่วยงานที่ 2</ALT_THAI>
				<ALT_ENG>Business Unit 2</ALT_ENG>
				<SWAPLANG>BU2</SWAPLANG>
			</COMPONENT>
		</OLD_BU2>
		<OLD_BU3 lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>15</WIDTH>
			<RELATION>V1MBU3</RELATION>
			<REFER_DATA>TADJPOSITION.OLD_BU3</REFER_DATA>
			<DESC_ENG>Business Unit 3</DESC_ENG>
			<DESC_THAI>หน่วยงานที่ 3</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>15</MAXSIZE>
				<SIZE>15</SIZE>
				<ALT_THAI>หน่วยงานที่ 3</ALT_THAI>
				<ALT_ENG>Business Unit 3</ALT_ENG>
				<SWAPLANG>BU3</SWAPLANG>
			</COMPONENT>
		</OLD_BU3>
		<OLD_BU4 lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>15</WIDTH>
			<RELATION>V1MBU4</RELATION>
			<REFER_DATA>TADJPOSITION.OLD_BU4</REFER_DATA>
			<DESC_ENG>Business Unit 4</DESC_ENG>
			<DESC_THAI>หน่วยงานที่ 4</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>15</MAXSIZE>
				<SIZE>15</SIZE>
				<ALT_THAI>หน่วยงานที่ 4</ALT_THAI>
				<ALT_ENG>Business Unit 4</ALT_ENG>
				<SWAPLANG>BU4</SWAPLANG>
			</COMPONENT>
		</OLD_BU4>
		<OLD_BU5 lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>15</WIDTH>
			<RELATION>V1MBU5</RELATION>
			<REFER_DATA>TADJPOSITION.OLD_BU5</REFER_DATA>
			<DESC_ENG>Business Unit 5</DESC_ENG>
			<DESC_THAI>หน่วยงานที่ 5</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>15</MAXSIZE>
				<SIZE>15</SIZE>
				<ALT_THAI>หน่วยงานที่ 5</ALT_THAI>
				<ALT_ENG>Business Unit 5</ALT_ENG>
				<SWAPLANG>BU5</SWAPLANG>
			</COMPONENT>
		</OLD_BU5>
		<OLD_CORPERATE_TITLE lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>15</WIDTH>
			<RELATION>V1MCORPERATE_TITLE</RELATION>
			<REFER_DATA>TADJPOSITION.OLD_CORPERATE_TITLE</REFER_DATA>
			<DESC_ENG>Corporate Title</DESC_ENG>
			<DESC_THAI>ตำแหน่งพิเศษ</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>15</MAXSIZE>
				<SIZE>15</SIZE>
				<ALT_ENG>Corporate Title</ALT_ENG>
				<ALT_THAI>ตำแหน่งพิเศษ</ALT_THAI>
			</COMPONENT>
		</OLD_CORPERATE_TITLE>
		<OLD_EMP_GROUP lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>15</WIDTH>
			<RELATION>V1MGROUP</RELATION>
			<REFER_DATA>TADJPOSITION.OLD_EMP_GROUP</REFER_DATA>
			<DESC_ENG>Employee Group</DESC_ENG>
			<DESC_THAI>กลุ่มพนักงาน</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>15</MAXSIZE>
				<SIZE>15</SIZE>
				<ALT_ENG>Employee Group</ALT_ENG>
				<ALT_THAI>กลุ่มพนักงาน</ALT_THAI>
			</COMPONENT>
		</OLD_EMP_GROUP>
		<OLD_COSTCENTER lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>15</WIDTH>
			<RELATION>V1MCOSTCENTER0</RELATION>
			<REFER_DATA>TADJPOSITION.OLD_COSTCENTER</REFER_DATA>
			<DESC_ENG>Cost Center</DESC_ENG>
			<DESC_THAI>Cost Center</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>15</MAXSIZE>
				<SIZE>15</SIZE>
				<ALT_ENG>Cost Center</ALT_ENG>
				<ALT_THAI>Cost Center</ALT_THAI>
			</COMPONENT>
		</OLD_COSTCENTER>
		<OLD_WORKAREA lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>15</WIDTH>
			<RELATION>V1MWORKAREA</RELATION>
			<REFER_DATA>TADJPOSITION.OLD_WORKAREA</REFER_DATA>
			<DESC_ENG>Working Area</DESC_ENG>
			<DESC_THAI>สถานที่ทำงาน</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>15</MAXSIZE>
				<SIZE>15</SIZE>
				<ALT_ENG>Working Area</ALT_ENG>
				<ALT_THAI>สถานที่ทำงาน</ALT_THAI>
			</COMPONENT>
		</OLD_WORKAREA>
		<OLD_TIME0 lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>15</WIDTH>
			<RELATION>V1MTIME0</RELATION>
			<REFER_DATA>TADJPOSITION.OLD_TIME0</REFER_DATA>
			<DESC_ENG>Time Work</DESC_ENG>
			<DESC_THAI>รหัสกะ</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>15</MAXSIZE>
				<SIZE>15</SIZE>
				<ALT_ENG>Time Work</ALT_ENG>
				<ALT_THAI>รหัสกะ</ALT_THAI>
			</COMPONENT>
		</OLD_TIME0>
		<OLD_SALATYPE lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>5</WIDTH>
			<RELATION>V1MSALATYPE0</RELATION>
			<REFER_DATA>TADJPOSITION.OLD_SALATYPE</REFER_DATA>
			<DESC_ENG>Salary Type</DESC_ENG>
			<DESC_THAI>กลุ่มการจ่ายเงินเดือน</DESC_THAI>
			<COMPONENT type="Text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>15</SIZE>
				<ALT_ENG>Salary Type</ALT_ENG>
				<ALT_THAI>กลุ่มการจ่ายเงินเดือน</ALT_THAI>
			</COMPONENT>
			<GROUP>testprocess,import</GROUP>
		</OLD_SALATYPE>
		<OLD_SALARY lang="A" encrypt="true" verify="false" log="false" type="Double">
			<WIDTH>25</WIDTH>
			<REFER_DATA>TADJPOSITION.OLD_SALARY</REFER_DATA>
			<DESC_ENG>Salary</DESC_ENG>
			<DESC_THAI>เงินเดือน</DESC_THAI>
			<SECURITY>SalaryEmpSecurity</SECURITY>
			<COMPONENT type="text">
				<DEFAULTVALUE>0.00</DEFAULTVALUE>
				<MAXSIZE>25</MAXSIZE>
				<SIZE>15</SIZE>
				<ALT_ENG>Salary</ALT_ENG>
				<ALT_THAI>เงินเดือน</ALT_THAI>
				<ONBLUR>checkNumFloat(this,0.0,900000000);</ONBLUR>
				<ONKEYPRESS>checkWordNumber(this.value);</ONKEYPRESS>
				<ONKEYUP>checkComma(this,2);</ONKEYUP>
				<ONFOCUS>callDelComma(this);</ONFOCUS>
			</COMPONENT>
		</OLD_SALARY>
		<OLD_CURRENCY lang="A" encrypt="false" log="false" type="String">
			<WIDTH>5</WIDTH>
			<RELATION>V1MCURRENCY</RELATION>
			<DESC_ENG>Currency</DESC_ENG>
			<DESC_THAI>อัตราการแลกเปลี่ยน</DESC_THAI>
			<GROUP>testprocess,import</GROUP>
			<REFER_DATA>TADJPOSITION.OLD_CURRENCY</REFER_DATA>
			<REQUIRE>true</REQUIRE>
			<COMPONENT type="list">
				<SIZE>5</SIZE>
				<TABLE>MCURRENCYHELP,CURRENCYID,TDESC,  ,CURRENCYID</TABLE>
				<DEFAULTVALUE>B</DEFAULTVALUE>
				<BLANKOPTION>true</BLANKOPTION>
				<ALT_ENG>Currency</ALT_ENG>
				<ALT_THAI>อัตราแลกเปลี่ยน</ALT_THAI>
			</COMPONENT>
		</OLD_CURRENCY>
		<OLD_EMP_EVERY lang="A" encrypt="false" log="false" type="String">
			<WIDTH>1</WIDTH>
			<DESC_ENG>Salary Every</DESC_ENG>
			<DESC_THAI>อัตรารายได้ต่อ</DESC_THAI>
			<GROUP>testprocess,import</GROUP>
			<REFER_DATA>TADJPOSITION.OLD_EMP_EVERY</REFER_DATA>
			<REQUIRE>true</REQUIRE>
			<COMPONENT type="list">
				<DEFAULTVALUE>M</DEFAULTVALUE>
				<BLANKOPTION>true</BLANKOPTION>
				<MAXSIZE>1</MAXSIZE>
				<SIZE>5</SIZE>
				<VALIDCODE>HIRE_TYPE</VALIDCODE>
				<ALT_ENG>Salary Every</ALT_ENG>
				<ALT_THAI>อัตรารายได้ต่อ</ALT_THAI>
			</COMPONENT>
		</OLD_EMP_EVERY>
		<!-- ================================== END DATA ========================================= -->
		<ALLOW_STATUS lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>2</WIDTH>
			<REFER_DATA>TADJPOSITION.ALLOW_STATUS</REFER_DATA>
			<DESC_ENG>Other Allowance</DESC_ENG>
			<DESC_THAI>ค่าใช้จ่ายเพิ่มเติม</DESC_THAI>
			<COMPONENT type="radio">
				<MAXSIZE>2</MAXSIZE>
				<SIZE>2</SIZE>
				<ALT_ENG>Other Allowance</ALT_ENG>
				<ALT_THAI>ค่าใช้จ่ายเพิ่มเติม</ALT_THAI>
				<VALIDCODE>ALLOWSTATUS</VALIDCODE>
				<DEFAULTVALUE>0</DEFAULTVALUE>
				<ONCLICK>chkStatusAllw(this);</ONCLICK>
			</COMPONENT>
		</ALLOW_STATUS>
		<PROB_STATUS lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>1</WIDTH>
			<REFER_DATA>TADJPOSITION.PROB_STATUS</REFER_DATA>
			<DESC_ENG>Probation Period</DESC_ENG>
			<DESC_THAI>ช่วงทดลองงาน</DESC_THAI>
			<COMPONENT type="radio">
				<MAXSIZE>1</MAXSIZE>
				<SIZE>1</SIZE>
				<ALT_ENG>Probation Period</ALT_ENG>
				<ALT_THAI>ช่วงทดลองงาน</ALT_THAI>
				<VALIDCODE>ISUSE</VALIDCODE>
				<DEFAULTVALUE>0</DEFAULTVALUE>
				<ONCLICK>chkStatus(this);</ONCLICK>
			</COMPONENT>
		</PROB_STATUS>
		<PROB_START lang="A" encrypt="false" verify="false" log="false" type="Date">
			<WIDTH>15</WIDTH>
			<REFER_DATA>TADJPOSITION.PROB_START</REFER_DATA>
			<DESC_ENG>From</DESC_ENG>
			<DESC_THAI>จาก</DESC_THAI>
			<COMPONENT type="calendar">
				<MAXSIZE>15</MAXSIZE>
				<SIZE>15</SIZE>
				<ALT_ENG>From</ALT_ENG>
				<ALT_THAI>จาก</ALT_THAI>
			</COMPONENT>
		</PROB_START>
		<PROB_FINISH lang="A" encrypt="false" verify="false" log="false" type="Date">
			<WIDTH>15</WIDTH>
			<REFER_DATA>TADJPOSITION.PROB_FINISH</REFER_DATA>
			<DESC_ENG>To</DESC_ENG>
			<DESC_THAI>ถึง</DESC_THAI>
			<COMPONENT type="calendar">
				<MAXSIZE>15</MAXSIZE>
				<SIZE>15</SIZE>
				<ALT_ENG>To</ALT_ENG>
				<ALT_THAI>ถึง</ALT_THAI>
			</COMPONENT>
		</PROB_FINISH>
		<OLD_PL lang="A" encrypt="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<REFER_DATA>TADJPOSITION.OLD_PL</REFER_DATA>
			<DESC_ENG>PL ID</DESC_ENG>
			<DESC_THAI>รหัส PL</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_THAI>รหัส PL</ALT_THAI>
				<ALT_ENG>PL ID</ALT_ENG>
			</COMPONENT>
		</OLD_PL>
		<PL lang="A" encrypt="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<REFER_DATA>TADJPOSITION.PL</REFER_DATA>
			<DESC_ENG>PL ID</DESC_ENG>
			<DESC_THAI>รหัส PL</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_THAI>รหัส PL</ALT_THAI>
				<ALT_ENG>PL ID</ALT_ENG>
			</COMPONENT>
		</PL>
		<CONTRACT_END lang="A" encrypt="false" verify="false" log="false" type="Date">
			<WIDTH>8</WIDTH>
			<REFER_DATA>TADJPOSITION.CONTRACT_END</REFER_DATA>
			<DESC_ENG>Contract End</DESC_ENG>
			<DESC_THAI>วันที่เริ่มใช้</DESC_THAI>
			<COMPONENT type="calendar">
				<MAXSIZE>15</MAXSIZE>
				<SIZE>15</SIZE>
				<ALT_THAI>วันที่หมดสัญญา</ALT_THAI>
				<ALT_ENG>Contract End</ALT_ENG>
			</COMPONENT>
		</CONTRACT_END>
		<OLD_CONTRACT_END lang="A" encrypt="false" verify="false" log="false" type="Date">
			<WIDTH>8</WIDTH>
			<REFER_DATA>TADJPOSITION.OLD_CONTRACT_END</REFER_DATA>
			<DESC_ENG>Contract End</DESC_ENG>
			<DESC_THAI>วันที่เริ่มใช้</DESC_THAI>
			<COMPONENT type="calendar">
				<MAXSIZE>15</MAXSIZE>
				<SIZE>15</SIZE>
				<ALT_THAI>วันที่หมดสัญญา</ALT_THAI>
				<ALT_ENG>Contract End</ALT_ENG>
			</COMPONENT>
		</OLD_CONTRACT_END>
		<DAYOFF lang="A" encrypt="false" log="true" type="String">
			<WIDTH>1</WIDTH>
			<REFER_DATA>TADJPOSITION.DAYOFF</REFER_DATA>
			<DESC_ENG>Day Off</DESC_ENG>
			<DESC_THAI>การใช้งานวันหยุดประจำสัปดาห์</DESC_THAI>
			<COMPONENT type="list">
				<VALIDCODE>DAYOFFTYPE</VALIDCODE>
				<MAXSIZE>1</MAXSIZE>
				<SIZE>1</SIZE>
				<ALT_ENG>Day Off</ALT_ENG>
				<ALT_THAI>การใช้งานวันหยุดประจำสัปดาห์</ALT_THAI>
			</COMPONENT>
			<APPNAME name="PERSONAL">
				<DESC_ENG>Day Off</DESC_ENG>
				<DESC_THAI>การใช้งานวันหยุดประจำสัปดาห์</DESC_THAI>
				<COMPONENT type="radio">
					<VALIDCODE>DAYOFFTYPE</VALIDCODE>
					<DEFAULTVALUE>0</DEFAULTVALUE>
					<MAXSIZE>1</MAXSIZE>
					<SIZE>1</SIZE>
					<ALT_ENG>Day Off</ALT_ENG>
					<ALT_THAI>การใช้งานวันหยุดประจำสัปดาห์</ALT_THAI>
				</COMPONENT>
			</APPNAME>
		</DAYOFF>
		<DAYOFF_LIST lang="A" encrypt="false" log="true" type="String">
			<WIDTH>13</WIDTH>
			<REFER_DATA>TADJPOSITION.DAYOFF_LIST</REFER_DATA>
			<DESC_ENG>Day Off List</DESC_ENG>
			<DESC_THAI>วันหยุดประจำสัปดาห์</DESC_THAI>
				<COMPONENT type="text">
					<MAXSIZE>13</MAXSIZE>
					<SIZE>13</SIZE>
					<ALT_ENG>Day Off List</ALT_ENG>
					<ALT_THAI>วันหยุดประจำสัปดาห์</ALT_THAI>
				</COMPONENT>
			<APPNAME name="PERSONAL">
				<DESC_ENG>Day Off List</DESC_ENG>
				<DESC_THAI>วันหยุดประจำสัปดาห์</DESC_THAI>
				<COMPONENT type="text">
					<MAXSIZE>13</MAXSIZE>
					<SIZE>13</SIZE>
					<ALT_ENG>Day Off List</ALT_ENG>
					<ALT_THAI>วันหยุดประจำสัปดาห์</ALT_THAI>
				</COMPONENT>
			</APPNAME>
		</DAYOFF_LIST>
		<EFF_DAYOFF lang="A" encrypt="false" log="false" type="Date">
			<WIDTH>10</WIDTH>
			<REFER_DATA>TADJPOSITION.EFF_DAYOFF</REFER_DATA>
			<DESC_ENG>Effective Date</DESC_ENG>
			<DESC_THAI>วันที่เริ่มใช้</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>8</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Effective Date</ALT_ENG>
				<ALT_THAI>วันที่เริ่มใช้</ALT_THAI>
			</COMPONENT>
			<APPNAME name="PERSONAL">
				<DESC_ENG>Effective Date</DESC_ENG>
				<DESC_THAI>วันที่เริ่มใช้</DESC_THAI>
				<COMPONENT type="text">
					<MAXSIZE>8</MAXSIZE>
					<SIZE>10</SIZE>
					<ALT_ENG>Effective Date</ALT_ENG>
					<ALT_THAI>วันที่เริ่มใช้</ALT_THAI>
					<ONKEYUP>formatDate(this);</ONKEYUP>
					<ONBLUR>chkInputDate(this);</ONBLUR>
					<ONKEYPRESS>chkInteger();</ONKEYPRESS>
				</COMPONENT>
			</APPNAME>
		</EFF_DAYOFF>
		<OLD_DAYOFF lang="A" encrypt="false" log="true" type="String">
			<WIDTH>1</WIDTH>
			<REFER_DATA>TADJPOSITION.OLD_DAYOFF</REFER_DATA>
			<DESC_ENG>Day Off</DESC_ENG>
			<DESC_THAI>การใช้งานวันหยุดประจำสัปดาห์</DESC_THAI>
			<COMPONENT type="list">
				<VALIDCODE>DAYOFFTYPE</VALIDCODE>
				<MAXSIZE>1</MAXSIZE>
				<SIZE>1</SIZE>
				<ALT_ENG>Day Off</ALT_ENG>
				<ALT_THAI>การใช้งานวันหยุดประจำสัปดาห์</ALT_THAI>
			</COMPONENT>
			<APPNAME name="PERSONAL">
				<DESC_ENG>Day Off</DESC_ENG>
				<DESC_THAI>การใช้งานวันหยุดประจำสัปดาห์</DESC_THAI>
				<COMPONENT type="radio">
					<VALIDCODE>DAYOFFTYPE</VALIDCODE>
					<DEFAULTVALUE>0</DEFAULTVALUE>
					<MAXSIZE>1</MAXSIZE>
					<SIZE>1</SIZE>
					<ALT_ENG>Day Off</ALT_ENG>
					<ALT_THAI>การใช้งานวันหยุดประจำสัปดาห์</ALT_THAI>
				</COMPONENT>
			</APPNAME>
		</OLD_DAYOFF>
		<OLD_DAYOFF_LIST lang="A" encrypt="false" log="true" type="String">
			<WIDTH>13</WIDTH>
			<REFER_DATA>TADJPOSITION.OLD_DAYOFF_LIST</REFER_DATA>
			<DESC_ENG>Day Off List</DESC_ENG>
			<DESC_THAI>วันหยุดประจำสัปดาห์</DESC_THAI>
				<COMPONENT type="text">
					<MAXSIZE>13</MAXSIZE>
					<SIZE>13</SIZE>
					<ALT_ENG>Day Off List</ALT_ENG>
					<ALT_THAI>วันหยุดประจำสัปดาห์</ALT_THAI>
				</COMPONENT>
			<APPNAME name="PERSONAL">
				<DESC_ENG>Day Off List</DESC_ENG>
				<DESC_THAI>วันหยุดประจำสัปดาห์</DESC_THAI>
				<COMPONENT type="text">
					<MAXSIZE>13</MAXSIZE>
					<SIZE>13</SIZE>
					<ALT_ENG>Day Off List</ALT_ENG>
					<ALT_THAI>วันหยุดประจำสัปดาห์</ALT_THAI>
				</COMPONENT>
			</APPNAME>
		</OLD_DAYOFF_LIST>
		<OLD_EFF_DAYOFF lang="A" encrypt="false" log="false" type="Date">
			<WIDTH>10</WIDTH>
			<REFER_DATA>TADJPOSITION.OLD_EFF_DAYOFF</REFER_DATA>
			<DESC_ENG>Effective Date</DESC_ENG>
			<DESC_THAI>วันที่เริ่มใช้</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>8</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Effective Date</ALT_ENG>
				<ALT_THAI>วันที่เริ่มใช้</ALT_THAI>
			</COMPONENT>
			<APPNAME name="PERSONAL">
				<DESC_ENG>Effective Date</DESC_ENG>
				<DESC_THAI>วันที่เริ่มใช้</DESC_THAI>
				<COMPONENT type="text">
					<MAXSIZE>8</MAXSIZE>
					<SIZE>10</SIZE>
					<ALT_ENG>Effective Date</ALT_ENG>
					<ALT_THAI>วันที่เริ่มใช้</ALT_THAI>
					<ONKEYUP>formatDate(this);</ONKEYUP>
					<ONBLUR>chkInputDate(this);</ONBLUR>
					<ONKEYPRESS>chkInteger();</ONKEYPRESS>
				</COMPONENT>
			</APPNAME>
		</OLD_EFF_DAYOFF>
	</FIELD>
	<RELATION>
		<MBU1 mode="-1">
			<PARENT>HADJPOSITION.BU1</PARENT>
			<PARENT>HADJPOSITION.COMPANYID</PARENT>
			<CHILD>MBU1.BU1ID</CHILD>
			<CHILD>MBU1.COMPANYID</CHILD>
		</MBU1>
		<V1MBU1 rtablename="MBU1" mode="-1">
			<PARENT>HADJPOSITION.OLD_BU1</PARENT>
			<PARENT>HADJPOSITION.COMPANYID</PARENT>
			<CHILD>V1MBU1.BU1ID</CHILD>
			<CHILD>V1MBU1.COMPANYID</CHILD>
		</V1MBU1>
		<MBU2 mode="-1">
			<PARENT>HADJPOSITION.BU2</PARENT>
			<PARENT>HADJPOSITION.COMPANYID</PARENT>
			<CHILD>MBU2.BU2ID</CHILD>
			<CHILD>MBU2.COMPANYID</CHILD>
		</MBU2>
		<V1MBU2 rtablename="MBU2" mode="-1">
			<PARENT>HADJPOSITION.OLD_BU2</PARENT>
			<PARENT>HADJPOSITION.COMPANYID</PARENT>
			<CHILD>V1MBU2.BU2ID</CHILD>
			<CHILD>V1MBU2.COMPANYID</CHILD>
		</V1MBU2>
		<MBU3 mode="-1">
			<PARENT>HADJPOSITION.BU3</PARENT>
			<PARENT>HADJPOSITION.COMPANYID</PARENT>
			<CHILD>MBU3.BU3ID</CHILD>
			<CHILD>MBU3.COMPANYID</CHILD>
		</MBU3>
		<V1MBU3 rtablename="MBU3" mode="-1">
			<PARENT>HADJPOSITION.OLD_BU3</PARENT>
			<PARENT>HADJPOSITION.COMPANYID</PARENT>
			<CHILD>V1MBU3.BU3ID</CHILD>
			<CHILD>V1MBU3.COMPANYID</CHILD>
		</V1MBU3>
		<MBU4 mode="-1">
			<PARENT>HADJPOSITION.BU4</PARENT>
			<PARENT>HADJPOSITION.COMPANYID</PARENT>
			<CHILD>MBU4.BU4ID</CHILD>
			<CHILD>MBU4.COMPANYID</CHILD>
		</MBU4>
		<V1MBU4 rtablename="MBU4" mode="-1">
			<PARENT>HADJPOSITION.OLD_BU4</PARENT>
			<PARENT>HADJPOSITION.COMPANYID</PARENT>
			<CHILD>V1MBU4.BU4ID</CHILD>
			<CHILD>V1MBU4.COMPANYID</CHILD>
		</V1MBU4>
		<MBU5 mode="-1">
			<PARENT>HADJPOSITION.BU5</PARENT>
			<PARENT>HADJPOSITION.COMPANYID</PARENT>
			<CHILD>MBU5.BU5ID</CHILD>
			<CHILD>MBU5.COMPANYID</CHILD>
		</MBU5>
		<V1MBU5 rtablename="MBU5" mode="-1">
			<PARENT>HADJPOSITION.OLD_BU5</PARENT>
			<PARENT>HADJPOSITION.COMPANYID</PARENT>
			<CHILD>V1MBU5.BU5ID</CHILD>
			<CHILD>V1MBU5.COMPANYID</CHILD>
		</V1MBU5>
		<MJOBCODE mode="-1">
			<PARENT>HADJPOSITION.JOB</PARENT>
			<PARENT>HADJPOSITION.COMPANYID</PARENT>
			<CHILD>MJOBCODE.JOBCODEID</CHILD>
			<CHILD>MJOBCODE.COMPANYID</CHILD>
		</MJOBCODE>
		<V1MJOBCODE rtablename="MJOBCODE" mode="-1">
			<PARENT>HADJPOSITION.OLD_JOB</PARENT>
			<PARENT>HADJPOSITION.COMPANYID</PARENT>
			<CHILD>V1MJOBCODE.JOBCODEID</CHILD>
			<CHILD>V1MJOBCODE.COMPANYID</CHILD>
		</V1MJOBCODE>
		<MPOSITION mode="-1">
			<PARENT>HADJPOSITION.EMP_POSITION</PARENT>
			<PARENT>HADJPOSITION.COMPANYID</PARENT>
			<CHILD>MPOSITION.POSITIONID</CHILD>
			<CHILD>MPOSITION.COMPANYID</CHILD>
		</MPOSITION>
		<V1MPOSITION rtablename="MPOSITION" mode="-1">
			<PARENT>HADJPOSITION.OLD_EMP_POSITION</PARENT>
			<PARENT>HADJPOSITION.COMPANYID</PARENT>
			<CHILD>V1MPOSITION.POSITIONID</CHILD>
			<CHILD>V1MPOSITION.COMPANYID</CHILD>
		</V1MPOSITION>
		<MGROUP mode="-1">
			<PARENT>HADJPOSITION.EMP_GROUP</PARENT>
			<PARENT>HADJPOSITION.COMPANYID</PARENT>
			<CHILD>MGROUP.GROUPID</CHILD>
			<CHILD>MGROUP.COMPANYID</CHILD>
		</MGROUP>
		<V1MGROUP rtablename="MGROUP" mode="-1">
			<PARENT>HADJPOSITION.OLD_EMP_GROUP</PARENT>
			<PARENT>HADJPOSITION.COMPANYID</PARENT>
			<CHILD>V1MGROUP.GROUPID</CHILD>
			<CHILD>V1MGROUP.COMPANYID</CHILD>
		</V1MGROUP>
		<MCOSTCENTER0 mode="-1">
			<PARENT>HADJPOSITION.COSTCENTER</PARENT>
			<PARENT>HADJPOSITION.COMPANYID</PARENT>
			<CHILD>MCOSTCENTER0.COSTCENTERID</CHILD>
			<CHILD>MCOSTCENTER0.COMPANYID</CHILD>
		</MCOSTCENTER0>
		<V1MCOSTCENTER0 rtablename="MCOSTCENTER0" mode="-1">
			<PARENT>HADJPOSITION.OLD_COSTCENTER</PARENT>
			<PARENT>HADJPOSITION.COMPANYID</PARENT>
			<CHILD>V1MCOSTCENTER0.COSTCENTERID</CHILD>
			<CHILD>V1MCOSTCENTER0.COMPANYID</CHILD>
		</V1MCOSTCENTER0>
		<MWORKAREA mode="-1">
			<PARENT>HADJPOSITION.WORKAREA</PARENT>
			<PARENT>HADJPOSITION.COMPANYID</PARENT>
			<CHILD>MWORKAREA.WORKAREAID</CHILD>
			<CHILD>MWORKAREA.COMPANYID</CHILD>
		</MWORKAREA>
		<V1MWORKAREA rtablename="MWORKAREA" mode="-1">
			<PARENT>HADJPOSITION.OLD_WORKAREA</PARENT>
			<PARENT>HADJPOSITION.COMPANYID</PARENT>
			<CHILD>V1MWORKAREA.WORKAREAID</CHILD>
			<CHILD>V1MWORKAREA.COMPANYID</CHILD>
		</V1MWORKAREA>
		<MTIME0 mode="-1">
			<PARENT>HADJPOSITION.TIME0</PARENT>
			<PARENT>HADJPOSITION.COMPANYID</PARENT>
			<CHILD>MTIME0.TIME0ID</CHILD>
			<CHILD>MTIME0.COMPANYID</CHILD>
		</MTIME0>
		<V1MTIME0 rtablename="MTIME0" mode="-1">
			<PARENT>HADJPOSITION.OLD_TIME0</PARENT>
			<PARENT>HADJPOSITION.COMPANYID</PARENT>
			<CHILD>V1MTIME0.TIME0ID</CHILD>
			<CHILD>V1MTIME0.COMPANYID</CHILD>
		</V1MTIME0>
		<MSALATYPE0 mode="-1">
			<PARENT>HADJPOSITION.SALATYPE</PARENT>
			<PARENT>HADJPOSITION.COMPANYID</PARENT>
			<CHILD>MSALATYPE0.CODEID</CHILD>
			<CHILD>MSALATYPE0.COMPANYID</CHILD>
		</MSALATYPE0>
		<V1MSALATYPE0 rtablename="MSALATYPE0" mode="-1">
			<PARENT>HADJPOSITION.OLD_SALATYPE</PARENT>
			<PARENT>HADJPOSITION.COMPANYID</PARENT>
			<CHILD>V1MSALATYPE0.CODEID</CHILD>
			<CHILD>V1MSALATYPE0.COMPANYID</CHILD>
		</V1MSALATYPE0>
		<MBRANCH_TITLE>
			<PARENT>HADJPOSITION.BRANCH_TITLEID</PARENT>
			<PARENT>HADJPOSITION.COMPANYID</PARENT>
			<CHILD>MBRANCH_TITLE.BRANCH_TITLEID</CHILD>
			<CHILD>MBRANCH_TITLE.COMPANYID</CHILD>
		</MBRANCH_TITLE>
		<V1MBRANCH_TITLE rtablename="MBRANCH_TITLE">
			<PARENT>HADJPOSITION.OLD_BRANCH_TITLEID</PARENT>
			<PARENT>HADJPOSITION.COMPANYID</PARENT>
			<CHILD>V1MBRANCH_TITLE.BRANCH_TITLEID</CHILD>
			<CHILD>V1MBRANCH_TITLE.COMPANYID</CHILD>
		</V1MBRANCH_TITLE>
		<MCORPERATE_TITLE mode="-1">
			<PARENT>HADJPOSITION.CORPERATE_TITLE</PARENT>
			<PARENT>HADJPOSITION.COMPANYID</PARENT>
			<CHILD>MCORPERATE_TITLE.CORPERATEID</CHILD>
			<CHILD>MCORPERATE_TITLE.COMPANYID</CHILD>
		</MCORPERATE_TITLE>
		<V1MCORPERATE_TITLE rtablename="MCORPERATE_TITLE" mode="-1">
			<PARENT>HADJPOSITION.OLD_CORPERATE_TITLE</PARENT>
			<PARENT>HADJPOSITION.COMPANYID</PARENT>
			<CHILD>V1MCORPERATE_TITLE.CORPERATEID</CHILD>
			<CHILD>V1MCORPERATE_TITLE.COMPANYID</CHILD>
		</V1MCORPERATE_TITLE>
		<MBRANCH mode="-1">
			<PARENT>HADJPOSITION.BRANCH</PARENT>
			<PARENT>HADJPOSITION.COMPANYID</PARENT>
			<CHILD>MBRANCH.BRANCHID</CHILD>
			<CHILD>MBRANCH.COMPANYID</CHILD>
		</MBRANCH>
		<V1MBRANCH rtablename="MBRANCH" mode="-1">
			<PARENT>HADJPOSITION.OLD_BRANCH</PARENT>
			<PARENT>HADJPOSITION.COMPANYID</PARENT>
			<CHILD>V1MBRANCH.BRANCHID</CHILD>
			<CHILD>V1MBRANCH.COMPANYID</CHILD>
		</V1MBRANCH>
		<MBRANCH_SOC_TAX mode="-1">
			<PARENT>HADJPOSITION.BRANCH_NO</PARENT>
			<PARENT>HADJPOSITION.COMPANYID</PARENT>
			<CHILD>MBRANCH_SOC_TAX.BRANCH_NO</CHILD>
			<CHILD>MBRANCH_SOC_TAX.COMPANYID</CHILD>
		</MBRANCH_SOC_TAX>
		<V1MBRANCH_SOC_TAX rtablename="MBRANCH_SOC_TAX" mode="-1">
			<PARENT>HADJPOSITION.OLD_BRANCH_NO</PARENT>
			<PARENT>HADJPOSITION.COMPANYID</PARENT>
			<CHILD>V1MBRANCH_SOC_TAX.BRANCH_NO</CHILD>
			<CHILD>V1MBRANCH_SOC_TAX.COMPANYID</CHILD>
		</V1MBRANCH_SOC_TAX>
		<MCURRENCY mode="-1">
			<PARENT>HADJPOSITION.CURRENCY</PARENT>
			<PARENT>HADJPOSITION.COMPANYID</PARENT>
			<CHILD>MCURRENCY.CURRENCYID</CHILD>
			<CHILD>MCURRENCY.COMPANYID</CHILD>
		</MCURRENCY>
		<V1MCURRENCY rtablename="MCURRENCY" mode="-1">
			<PARENT>HADJPOSITION.OLD_CURRENCY</PARENT>
			<PARENT>HADJPOSITION.COMPANYID</PARENT>
			<CHILD>V1MCURRENCY.CURRENCYID</CHILD>
			<CHILD>V1MCURRENCY.COMPANYID</CHILD>
		</V1MCURRENCY>
		<!--
HMEMPL_ALLW mode="-1">
			<PARENT>HADJPOSITION.EMPLOYEEID</PARENT>
			<PARENT>HADJPOSITION.EFF_DATE</PARENT>
			<PARENT>HADJPOSITION.COMPANYID</PARENT>
	 		<CHILD>HMEMPL_ALLW.EMPLOYEEID</CHILD>
	 		<CHILD>HMEMPL_ALLW.EFF_DATE</CHILD>
			<CHILD>HMEMPL_ALLW.COMPANYID</CHILD>
		</HMEMPL_ALLW
		-->
		<MEMPL_MOVEMENT mode="-1">
			<PARENT>HADJPOSITION.EMPLOYEEID</PARENT>
			<PARENT>HADJPOSITION.COMPANYID</PARENT>
			<PARENT>HADJPOSITION.EFF_DATE</PARENT>
			<CHILD>MEMPL_MOVEMENT.EMPLOYEEID</CHILD>
			<CHILD>MEMPL_MOVEMENT.COMPANYID</CHILD>
			<CHILD>MEMPL_MOVEMENT.EFF_DATE</CHILD>
		</MEMPL_MOVEMENT>
		<MEMPLOYEE mode="-1">
			<PARENT>HADJPOSITION.EMPLOYEEID</PARENT>
			<PARENT>HADJPOSITION.COMPANYID</PARENT>
			<CHILD>MEMPLOYEE.EMPLOYEEID</CHILD>
			<CHILD>MEMPLOYEE.COMPANYID</CHILD>
		</MEMPLOYEE>
		<V1MEMPLOYEE rtablename="MEMPLOYEE" mode="-1">
			<PARENT>HADJPOSITION.SIGNBY</PARENT>
			<PARENT>HADJPOSITION.COMPANYID</PARENT>
			<CHILD>V1MEMPLOYEE.EMPLOYEEID</CHILD>
			<CHILD>V1MEMPLOYEE.COMPANYID</CHILD>
		</V1MEMPLOYEE>
		<!-- ===============  for Simhadjposition ===============  -->
		<MBU1 mode="-1">
			<PARENT>SIMHADJPOSITION.BU1</PARENT>
			<PARENT>SIMHADJPOSITION.COMPANYID</PARENT>
			<CHILD>MBU1.BU1ID</CHILD>
			<CHILD>MBU1.COMPANYID</CHILD>
		</MBU1>
		<V1MBU1 rtablename="MBU1" mode="-1">
			<PARENT>SIMHADJPOSITION.OLD_BU1</PARENT>
			<PARENT>SIMHADJPOSITION.COMPANYID</PARENT>
			<CHILD>V1MBU1.BU1ID</CHILD>
			<CHILD>V1MBU1.COMPANYID</CHILD>
		</V1MBU1>
		<MBU2 mode="-1">
			<PARENT>SIMHADJPOSITION.BU2</PARENT>
			<PARENT>SIMHADJPOSITION.COMPANYID</PARENT>
			<CHILD>MBU2.BU2ID</CHILD>
			<CHILD>MBU2.COMPANYID</CHILD>
		</MBU2>
		<V1MBU2 rtablename="MBU2" mode="-1">
			<PARENT>SIMHADJPOSITION.OLD_BU2</PARENT>
			<PARENT>SIMHADJPOSITION.COMPANYID</PARENT>
			<CHILD>V1MBU2.BU2ID</CHILD>
			<CHILD>V1MBU2.COMPANYID</CHILD>
		</V1MBU2>
		<MBU3 mode="-1">
			<PARENT>SIMHADJPOSITION.BU3</PARENT>
			<PARENT>SIMHADJPOSITION.COMPANYID</PARENT>
			<CHILD>MBU3.BU3ID</CHILD>
			<CHILD>MBU3.COMPANYID</CHILD>
		</MBU3>
		<V1MBU3 rtablename="MBU3" mode="-1">
			<PARENT>SIMHADJPOSITION.OLD_BU3</PARENT>
			<PARENT>SIMHADJPOSITION.COMPANYID</PARENT>
			<CHILD>V1MBU3.BU3ID</CHILD>
			<CHILD>V1MBU3.COMPANYID</CHILD>
		</V1MBU3>
		<MBU4 mode="-1">
			<PARENT>SIMHADJPOSITION.BU4</PARENT>
			<PARENT>SIMHADJPOSITION.COMPANYID</PARENT>
			<CHILD>MBU4.BU4ID</CHILD>
			<CHILD>MBU4.COMPANYID</CHILD>
		</MBU4>
		<V1MBU4 rtablename="MBU4" mode="-1">
			<PARENT>SIMHADJPOSITION.OLD_BU4</PARENT>
			<PARENT>SIMHADJPOSITION.COMPANYID</PARENT>
			<CHILD>V1MBU4.BU4ID</CHILD>
			<CHILD>V1MBU4.COMPANYID</CHILD>
		</V1MBU4>
		<MBU5 mode="-1">
			<PARENT>SIMHADJPOSITION.BU5</PARENT>
			<PARENT>SIMHADJPOSITION.COMPANYID</PARENT>
			<CHILD>MBU5.BU5ID</CHILD>
			<CHILD>MBU5.COMPANYID</CHILD>
		</MBU5>
		<V1MBU5 rtablename="MBU5" mode="-1">
			<PARENT>SIMHADJPOSITION.OLD_BU5</PARENT>
			<PARENT>SIMHADJPOSITION.COMPANYID</PARENT>
			<CHILD>V1MBU5.BU5ID</CHILD>
			<CHILD>V1MBU5.COMPANYID</CHILD>
		</V1MBU5>
		<MJOBCODE mode="-1">
			<PARENT>SIMHADJPOSITION.JOB</PARENT>
			<PARENT>SIMHADJPOSITION.COMPANYID</PARENT>
			<CHILD>MJOBCODE.JOBCODEID</CHILD>
			<CHILD>MJOBCODE.COMPANYID</CHILD>
		</MJOBCODE>
		<V1MJOBCODE rtablename="MJOBCODE" mode="-1">
			<PARENT>SIMHADJPOSITION.OLD_JOB</PARENT>
			<PARENT>SIMHADJPOSITION.COMPANYID</PARENT>
			<CHILD>V1MJOBCODE.JOBCODEID</CHILD>
			<CHILD>V1MJOBCODE.COMPANYID</CHILD>
		</V1MJOBCODE>
		<MPOSITION mode="-1">
			<PARENT>SIMHADJPOSITION.EMP_POSITION</PARENT>
			<PARENT>SIMHADJPOSITION.COMPANYID</PARENT>
			<CHILD>MPOSITION.POSITIONID</CHILD>
			<CHILD>MPOSITION.COMPANYID</CHILD>
		</MPOSITION>
		<V1MPOSITION rtablename="MPOSITION" mode="-1">
			<PARENT>SIMHADJPOSITION.OLD_EMP_POSITION</PARENT>
			<PARENT>SIMHADJPOSITION.COMPANYID</PARENT>
			<CHILD>V1MPOSITION.POSITIONID</CHILD>
			<CHILD>V1MPOSITION.COMPANYID</CHILD>
		</V1MPOSITION>
		<MGROUP mode="-1">
			<PARENT>SIMHADJPOSITION.EMP_GROUP</PARENT>
			<PARENT>SIMHADJPOSITION.COMPANYID</PARENT>
			<CHILD>MGROUP.GROUPID</CHILD>
			<CHILD>MGROUP.COMPANYID</CHILD>
		</MGROUP>
		<V1MGROUP rtablename="MGROUP" mode="-1">
			<PARENT>SIMHADJPOSITION.OLD_EMP_GROUP</PARENT>
			<PARENT>SIMHADJPOSITION.COMPANYID</PARENT>
			<CHILD>V1MGROUP.GROUPID</CHILD>
			<CHILD>V1MGROUP.COMPANYID</CHILD>
		</V1MGROUP>
		<MCOSTCENTER0 mode="-1">
			<PARENT>SIMHADJPOSITION.COSTCENTER</PARENT>
			<PARENT>SIMHADJPOSITION.COMPANYID</PARENT>
			<CHILD>MCOSTCENTER0.COSTCENTERID</CHILD>
			<CHILD>MCOSTCENTER0.COMPANYID</CHILD>
		</MCOSTCENTER0>
		<V1MCOSTCENTER0 rtablename="MCOSTCENTER0" mode="-1">
			<PARENT>SIMHADJPOSITION.OLD_COSTCENTER</PARENT>
			<PARENT>SIMHADJPOSITION.COMPANYID</PARENT>
			<CHILD>V1MCOSTCENTER0.COSTCENTERID</CHILD>
			<CHILD>V1MCOSTCENTER0.COMPANYID</CHILD>
		</V1MCOSTCENTER0>
		<MWORKAREA mode="-1">
			<PARENT>SIMHADJPOSITION.WORKAREA</PARENT>
			<PARENT>SIMHADJPOSITION.COMPANYID</PARENT>
			<CHILD>MWORKAREA.WORKAREAID</CHILD>
			<CHILD>MWORKAREA.COMPANYID</CHILD>
		</MWORKAREA>
		<V1MWORKAREA rtablename="MWORKAREA" mode="-1">
			<PARENT>SIMHADJPOSITION.OLD_WORKAREA</PARENT>
			<PARENT>SIMHADJPOSITION.COMPANYID</PARENT>
			<CHILD>V1MWORKAREA.WORKAREAID</CHILD>
			<CHILD>V1MWORKAREA.COMPANYID</CHILD>
		</V1MWORKAREA>
		<MTIME0 mode="-1">
			<PARENT>SIMHADJPOSITION.TIME0</PARENT>
			<PARENT>SIMHADJPOSITION.COMPANYID</PARENT>
			<CHILD>MTIME0.TIME0ID</CHILD>
			<CHILD>MTIME0.COMPANYID</CHILD>
		</MTIME0>
		<V1MTIME0 rtablename="MTIME0" mode="-1">
			<PARENT>SIMHADJPOSITION.OLD_TIME0</PARENT>
			<PARENT>SIMHADJPOSITION.COMPANYID</PARENT>
			<CHILD>V1MTIME0.TIME0ID</CHILD>
			<CHILD>V1MTIME0.COMPANYID</CHILD>
		</V1MTIME0>
		<MSALATYPE0 mode="-1">
			<PARENT>SIMHADJPOSITION.SALATYPE</PARENT>
			<PARENT>SIMHADJPOSITION.COMPANYID</PARENT>
			<CHILD>MSALATYPE0.CODEID</CHILD>
			<CHILD>MSALATYPE0.COMPANYID</CHILD>
		</MSALATYPE0>
		<V1MSALATYPE0 rtablename="MSALATYPE0" mode="-1">
			<PARENT>SIMHADJPOSITION.OLD_SALATYPE</PARENT>
			<PARENT>SIMHADJPOSITION.COMPANYID</PARENT>
			<CHILD>V1MSALATYPE0.CODEID</CHILD>
			<CHILD>V1MSALATYPE0.COMPANYID</CHILD>
		</V1MSALATYPE0>
		<MBRANCH_TITLE>
			<PARENT>SIMHADJPOSITION.BRANCH_TITLEID</PARENT>
			<PARENT>SIMHADJPOSITION.COMPANYID</PARENT>
			<CHILD>MBRANCH_TITLE.BRANCH_TITLEID</CHILD>
			<CHILD>MBRANCH_TITLE.COMPANYID</CHILD>
		</MBRANCH_TITLE>
		<V1MBRANCH_TITLE rtablename="MBRANCH_TITLE">
			<PARENT>SIMHADJPOSITION.OLD_BRANCH_TITLEID</PARENT>
			<PARENT>SIMHADJPOSITION.COMPANYID</PARENT>
			<CHILD>V1MBRANCH_TITLE.BRANCH_TITLEID</CHILD>
			<CHILD>V1MBRANCH_TITLE.COMPANYID</CHILD>
		</V1MBRANCH_TITLE>
		<MCORPERATE_TITLE mode="-1">
			<PARENT>SIMHADJPOSITION.CORPERATE_TITLE</PARENT>
			<PARENT>SIMHADJPOSITION.COMPANYID</PARENT>
			<CHILD>MCORPERATE_TITLE.CORPERATEID</CHILD>
			<CHILD>MCORPERATE_TITLE.COMPANYID</CHILD>
		</MCORPERATE_TITLE>
		<V1MCORPERATE_TITLE rtablename="MCORPERATE_TITLE" mode="-1">
			<PARENT>SIMHADJPOSITION.OLD_CORPERATE_TITLE</PARENT>
			<PARENT>SIMHADJPOSITION.COMPANYID</PARENT>
			<CHILD>V1MCORPERATE_TITLE.CORPERATEID</CHILD>
			<CHILD>V1MCORPERATE_TITLE.COMPANYID</CHILD>
		</V1MCORPERATE_TITLE>
		<MBRANCH mode="-1">
			<PARENT>SIMHADJPOSITION.BRANCH</PARENT>
			<PARENT>SIMHADJPOSITION.COMPANYID</PARENT>
			<CHILD>MBRANCH.BRANCHID</CHILD>
			<CHILD>MBRANCH.COMPANYID</CHILD>
		</MBRANCH>
		<V1MBRANCH rtablename="MBRANCH" mode="-1">
			<PARENT>SIMHADJPOSITION.OLD_BRANCH</PARENT>
			<PARENT>SIMHADJPOSITION.COMPANYID</PARENT>
			<CHILD>V1MBRANCH.BRANCHID</CHILD>
			<CHILD>V1MBRANCH.COMPANYID</CHILD>
		</V1MBRANCH>
		<MBRANCH_SOC_TAX mode="-1">
			<PARENT>SIMHADJPOSITION.BRANCH_NO</PARENT>
			<PARENT>SIMHADJPOSITION.COMPANYID</PARENT>
			<CHILD>MBRANCH_SOC_TAX.BRANCH_NO</CHILD>
			<CHILD>MBRANCH_SOC_TAX.COMPANYID</CHILD>
		</MBRANCH_SOC_TAX>
		<V1MBRANCH_SOC_TAX rtablename="MBRANCH_SOC_TAX" mode="-1">
			<PARENT>SIMHADJPOSITION.OLD_BRANCH_NO</PARENT>
			<PARENT>SIMHADJPOSITION.COMPANYID</PARENT>
			<CHILD>V1MBRANCH_SOC_TAX.BRANCH_NO</CHILD>
			<CHILD>V1MBRANCH_SOC_TAX.COMPANYID</CHILD>
		</V1MBRANCH_SOC_TAX>
		<MCURRENCY mode="-1">
			<PARENT>SIMHADJPOSITION.CURRENCY</PARENT>
			<PARENT>SIMHADJPOSITION.COMPANYID</PARENT>
			<CHILD>MCURRENCY.CURRENCYID</CHILD>
			<CHILD>MCURRENCY.COMPANYID</CHILD>
		</MCURRENCY>
		<V1MCURRENCY rtablename="MCURRENCY" mode="-1">
			<PARENT>SIMHADJPOSITION.OLD_CURRENCY</PARENT>
			<PARENT>SIMHADJPOSITION.COMPANYID</PARENT>
			<CHILD>V1MCURRENCY.CURRENCYID</CHILD>
			<CHILD>V1MCURRENCY.COMPANYID</CHILD>
		</V1MCURRENCY>
		<MEMPL_MOVEMENT mode="-1" deletelevel="1">
			<PARENT>SIMHADJPOSITION.EMPLOYEEID</PARENT>
			<PARENT>SIMHADJPOSITION.COMPANYID</PARENT>
			<PARENT>SIMHADJPOSITION.EFF_DATE</PARENT>
			<CHILD>MEMPL_MOVEMENT.EMPLOYEEID</CHILD>
			<CHILD>MEMPL_MOVEMENT.COMPANYID</CHILD>
			<CHILD>MEMPL_MOVEMENT.EFF_DATE</CHILD>
		</MEMPL_MOVEMENT>
		<MADJREASON>
			<PARENT>SIMHADJPOSITION.ADJ_REASON</PARENT>
			<PARENT>SIMHADJPOSITION.COMPANYID</PARENT>
			<CHILD>MADJREASON.ADJREASONID</CHILD>
			<CHILD>MADJREASON.COMPANYID</CHILD>
		</MADJREASON>
		<MEMPLOYEE>
			<PARENT>SIMHADJPOSITION.EMPLOYEEID</PARENT>
			<PARENT>SIMHADJPOSITION.COMPANYID</PARENT>
			<CHILD>MEMPLOYEE.EMPLOYEEID</CHILD>
			<CHILD>MEMPLOYEE.COMPANYID</CHILD>
		</MEMPLOYEE>
		<V1MEMPLOYEE rtablename="MEMPLOYEE" mode="-1">
			<PARENT>SIMHADJPOSITION.SIGNBY</PARENT>
			<PARENT>SIMHADJPOSITION.COMPANYID</PARENT>
			<CHILD>V1MEMPLOYEE.EMPLOYEEID</CHILD>
			<CHILD>V1MEMPLOYEE.COMPANYID</CHILD>
		</V1MEMPLOYEE>
		<MEMPL_FIX_HISTORY mode="-1">
			<PARENT>HADJPOSITION.EMPLOYEEID</PARENT>
			<PARENT>HADJPOSITION.COMPANYID</PARENT>
			<PARENT>HADJPOSITION.EFF_DATE</PARENT>
			<CHILD>MEMPL_FIX_HISTORY.EMPLOYEEID</CHILD>
			<CHILD>MEMPL_FIX_HISTORY.COMPANYID</CHILD>
			<CHILD>MEMPL_FIX_HISTORY.EFF_DATE</CHILD>
		</MEMPL_FIX_HISTORY>
		<MRESIGNREASON mode="0">
		    <PARENT>HADJPOSITION.RESIGNREASON</PARENT>
		    <PARENT>HADJPOSITION.COMPANYID</PARENT>
		    <CHILD>MRESIGNREASON.RESIGNREASONID</CHILD>
		    <CHILD>MRESIGNREASON.COMPANYID</CHILD>
		</MRESIGNREASON>
	</RELATION>
</HADJPOSITION>
